/* $Id: texinfo_parser.h,v 1.1 2000/06/08 06:57:01 phelps Exp $ */

/* The texinfo parser type */
typedef struct texinfo_parser *texinfo_parser_t;

/* The texinfo parser callback type */
typedef void (*texinfo_parser_cb_t)(void *rock, char *string);

/* Allocates and initializes a texinfo parser */
texinfo_parser_t texinfo_parser_alloc();

/* Releases the resources consumed by the receiver */
void texinfo_parser_free(texinfo_parser_t self);

/* Resets the state of the texinfo parser */
void texinfo_parser_reset(texinfo_parser_t self, char *filename,
			  texinfo_parser_cb_t callback, void *rock);

/* Parse some input */
int texinfo_parser_parse(texinfo_parser_t self, char *buffer, ssize_t length);
